## net.sf.saxon.serialize
Class CharacterMapIndex

    java.lang.Object
      net.sf.saxon.serialize.CharacterMapIndex

All Implemented Interfaces:
  Serializable

    public class CharacterMapIndex

extends Object
implements Serializable

This class represents a set of named character maps. Each character map in the set is identified by a unique QName.

See Also:
  Serialized Form

Constructor Summary
`CharacterMapIndex()`

Method Summary
`CharacterMap` `getCharacterMap(StructuredQName name)`
`CharacterMapExpander` `makeCharacterMapExpander(String useMaps, SerializerFactory sf)` Make a CharacterMapExpander to handle the character map definitions in the serialization properties.
`void` `putCharacterMap(StructuredQName name, CharacterMap charMap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharacterMapIndex

    public CharacterMapIndex()

Method Detail

### getCharacterMap

    public CharacterMap getCharacterMap(StructuredQName name)

### putCharacterMap

    public void putCharacterMap(StructuredQName name,
                                CharacterMap charMap)

### makeCharacterMapExpander

    public CharacterMapExpander makeCharacterMapExpander(String useMaps,
                                                         SerializerFactory sf)
                                                  throws XPathException

  Make a CharacterMapExpander to handle the character map definitions in the serialization properties.

  This method is intended for internal use only.

  Parameters:
    `useMaps` - the expanded use-character-maps property: a space-separated list of names of character maps to be used, each one expressed as an expanded-QName in Clark notation (that is, {uri}local-name).
    `sf` - the SerializerFactory - used to create a CharacterMapExpander. This callback is provided so that a user-defined SerializerFactory can customize the result of this function, for example by returning a subclass of the standard CharacterMapExpander.
  Returns:
    a CharacterMapExpander if one is required, or null if not (for example, if the useMaps argument is an empty string).
  Throws:
    `XPathException` - if a name in the useMaps property cannot be resolved to a declared character map.

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.